<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="qengine/dictionary/package-tree.html">qengine.dictionary</a>, </li>
<li><a href="qengine/engine/package-tree.html">qengine.engine</a>, </li>
<li><a href="qengine/engine/comparator/package-tree.html">qengine.engine.comparator</a>, </li>
<li><a href="qengine/index/package-tree.html">qengine.index</a>, </li>
<li><a href="qengine/index/triplestore/package-tree.html">qengine.index.triplestore</a>, </li>
<li><a href="qengine/program/package-tree.html">qengine.program</a>, </li>
<li><a href="qengine/query/package-tree.html">qengine.query</a>, </li>
<li><a href="qengine/query/pattern/package-tree.html">qengine.query.pattern</a>, </li>
<li><a href="qengine/query/pattern/collector/package-tree.html">qengine.query.pattern.collector</a>, </li>
<li><a href="qengine/query/projection/package-tree.html">qengine.query.projection</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">qengine.engine.<a href="qengine/engine/AbstractEngine.html" title="class in qengine.engine"><span class="typeNameLink">AbstractEngine</span></a> (implements qengine.engine.<a href="qengine/engine/Engine.html" title="interface in qengine.engine">Engine</a>)
<ul>
<li class="circle">qengine.engine.comparator.<a href="qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator"><span class="typeNameLink">AbstractEngineComparator</span></a>
<ul>
<li class="circle">qengine.engine.comparator.<a href="qengine/engine/comparator/DefaultEngineComparator.html" title="class in qengine.engine.comparator"><span class="typeNameLink">DefaultEngineComparator</span></a></li>
<li class="circle">qengine.engine.comparator.<a href="qengine/engine/comparator/VerboseEngineComparator.html" title="class in qengine.engine.comparator"><span class="typeNameLink">VerboseEngineComparator</span></a></li>
</ul>
</li>
<li class="circle">qengine.engine.<a href="qengine/engine/CustomEngine.html" title="class in qengine.engine"><span class="typeNameLink">CustomEngine</span></a></li>
<li class="circle">qengine.engine.<a href="qengine/engine/JenaEngine.html" title="class in qengine.engine"><span class="typeNameLink">JenaEngine</span></a></li>
<li class="circle">qengine.engine.<a href="qengine/engine/RDF4JEngine.html" title="class in qengine.engine"><span class="typeNameLink">RDF4JEngine</span></a></li>
</ul>
</li>
<li class="circle">org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor&lt;X&gt; (implements org.eclipse.rdf4j.query.algebra.QueryModelVisitor&lt;X&gt;)
<ul>
<li class="circle">qengine.query.pattern.collector.<a href="qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector"><span class="typeNameLink">SubjectPatternCollector</span></a></li>
</ul>
</li>
<li class="circle">qengine.dictionary.<a href="qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary"><span class="typeNameLink">HashMapIndexedDictionary</span></a> (implements qengine.dictionary.<a href="qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>)</li>
<li class="circle">qengine.index.<a href="qengine/index/Hexastore.html" title="class in qengine.index"><span class="typeNameLink">Hexastore</span></a> (implements qengine.index.<a href="qengine/index/Index.html" title="interface in qengine.index">Index</a>)</li>
<li class="circle">qengine.program.<a href="qengine/program/Main.html" title="class in qengine.program"><span class="typeNameLink">Main</span></a></li>
<li class="circle">qengine.query.projection.<a href="qengine/query/projection/ProjectionUtils.html" title="class in qengine.query.projection"><span class="typeNameLink">ProjectionUtils</span></a></li>
<li class="circle">qengine.program.<a href="qengine/program/Stopwatch.html" title="class in qengine.program"><span class="typeNameLink">Stopwatch</span></a></li>
<li class="circle">qengine.query.pattern.<a href="qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern"><span class="typeNameLink">SubjectPattern</span></a> (implements qengine.query.pattern.<a href="qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern">Pattern</a>)</li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore"><span class="typeNameLink">TripleStore</span></a> (implements qengine.index.<a href="qengine/index/Index.html" title="interface in qengine.index">Index</a>)
<ul>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/OPS.html" title="class in qengine.index.triplestore"><span class="typeNameLink">OPS</span></a></li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/OSP.html" title="class in qengine.index.triplestore"><span class="typeNameLink">OSP</span></a></li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore"><span class="typeNameLink">POS</span></a></li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore"><span class="typeNameLink">PSO</span></a></li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore"><span class="typeNameLink">SOP</span></a></li>
<li class="circle">qengine.index.triplestore.<a href="qengine/index/triplestore/SPO.html" title="class in qengine.index.triplestore"><span class="typeNameLink">SPO</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">qengine.dictionary.<a href="qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary"><span class="typeNameLink">Dictionary</span></a></li>
<li class="circle">qengine.engine.<a href="qengine/engine/Engine.html" title="interface in qengine.engine"><span class="typeNameLink">Engine</span></a></li>
<li class="circle">qengine.index.<a href="qengine/index/Index.html" title="interface in qengine.index"><span class="typeNameLink">Index</span></a></li>
<li class="circle">qengine.query.pattern.<a href="qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern"><span class="typeNameLink">Pattern</span></a></li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li class="circle">qengine.engine.<a href="qengine/engine/AbstractEngine.Impl.html" title="enum in qengine.engine"><span class="typeNameLink">AbstractEngine.Impl</span></a></li>
<li class="circle">qengine.engine.comparator.<a href="qengine/engine/comparator/AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator"><span class="typeNameLink">AbstractEngineComparator.Impl</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
